#pragma once

// C++ system level
#include <cinttypes>

// ESP32 specific
// #include "esp_log.h"

// project specific
// #include "LambdaTask.hpp"



namespace SiliconTorch {

  namespace Impl {

    // Checks CyanBus CRC
    // seems to work against Crc32Posix from python crccheck package
    bool checkCRC(uint8_t* buffer, uint32_t length);

  }

}
